%define upstream_name    Math-Algebra-Symbols
%define upstream_version 1.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Symbolic Algebra in Pure Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Scalar::Util)
BuildArch: noarch

%description
This package supplies a set of functions and operators to manipulate
operator expressions algebraically using the familiar Perl syntax.

These expressions are constructed from the /Symbols manpage, the /Operators
manpage, and the /Functions manpage, and processed via the /Methods
manpage. For examples, see: the /Examples manpage.

Symbols
    Symbols are created with the exported *symbols()* constructor routine:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-2.mga3
+ Revision: 369512
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 18 2011 kharec <kharec> 1.210.0-1.mga2
+ Revision: 168975
- imported package perl-Math-Algebra-Symbols

